Bug 1560978 - hammer host list --thin removed in Red Hat Satellite 6.3
Summary: hammer host list --thin removed in Red Hat Satellite 6.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.3.0
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks: 1644750 1644751
TreeView+ depends on / blocked
 
Reported: 2018-03-27 12:02 UTC by Simon Reber
Modified: 2019-10-07 17:17 UTC (History)
17 users (show)

Fixed In Version: tfm-rubygem-hammer_cli_foreman-0.15.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1644750 1644751 1661289 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:37:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:12 UTC
Foreman Issue Tracker 25349 None None None 2018-10-31 11:27:00 UTC
Red Hat Bugzilla 1461194 None CLOSED [RFE] API to fetch list of hosts without full host details 2019-10-16 10:29:48 UTC

Internal Links: 1461194

Description Simon Reber 2018-03-27 12:02:59 UTC
Description of problem:

`hammer host list --thin` does no longer work as `--thin` option was removed from `hammer` in Red Hat Satellite 6.3 (as per https://bugzilla.redhat.com/show_bug.cgi?id=1503586).

This option is heavily used and required by customers, to generate fast list of hosts in case not all details are required.

See https://bugzilla.redhat.com/show_bug.cgi?id=1503586#c7 for details

The API call `thin` is still there and works.

As this was working in Red Hat Satellite 6.2 (and because it's available via API) we are requesting to have this back.

Also, when checking https://bugzilla.redhat.com/show_bug.cgi?id=1503586 it's odd that `--thin` was removed as actually `--include` was questioned.

Version-Release number of selected component (if applicable):

 - tfm-rubygem-hammer_cli-0.11.0.1-1.el7sat.noarch

How reproducible:

 - Always

Steps to Reproduce:
1. [root@satellite63 ~]# rpm -q satellite
   satellite-6.3.0.1-1.el7sat.noarch
   [root@satellite63 ~]# hammer -u admin -p <pwd> host list --help | grep thin
   [root@satellite63 ~]#

2. [root@dhcp-144-209 ~]# rpm -q satellite
   satellite-6.2.14-4.0.el7sat.noarch
   [root@dhcp-144-209 ~]# hammer -u admin -p <pwd> host list --help | grep thin
    --thin THIN                       Only list ID and name of hosts
   [root@dhcp-144-209 ~]#

Actual results:

[root@satellite63 ~]# hammer -u admin -p <pwd> host list --help | grep thin
[root@satellite63 ~]#

Expected results:

[root@dhcp-144-209 ~]# hammer -u admin -p <pwd> host list --help | grep thin
--thin THIN                       Only list ID and name of hosts

Additional info:

Comment 3 Brad Buckingham 2018-04-02 17:20:13 UTC
Based upon https://bugzilla.redhat.com/show_bug.cgi?id=1503586#c7, it appears that --thin was included in earlier 6.3 builds.

Tomas, do you know if this may have been purposely removed?

Comment 4 Tomas Strachota 2018-04-03 07:41:27 UTC
I went through the BZ you're mentioning and it seems that --thin was removed based on inaccurate interpretation of the BZ. The first comment mentions that --include and --thin has no effect and there fore it should be removed. One of the later comments showed that --thin has actually significant performance impact but leaves some of the table columns blank.

I believe that the correct fix is:
- remove --include from host/hostgroup list (already done)
- keep --thin for host list (needs to be added back)
- extra points for hiding fields other than 'id' and 'name' when --thin is passed

Comment 17 Ivan Necas 2018-10-31 11:26:53 UTC
Created redmine issue https://projects.theforeman.org/issues/25349 from this bug

Comment 21 Peter Ondrejka 2018-11-14 08:56:31 UTC
Verified on Sat 6.5 snap 5, I find it a bit annoying you have to add boolean parameter to it (as if someone ever used '--thin no'), but since it was already used and loved as it was, it's probably better to keep the form intact

Comment 25 errata-xmlrpc 2019-05-14 12:37:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.